Zum Inhalt springen

RIFE

Integrieren

Modell-ID rife
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/rife?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "end_image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bis zu 4,68 $ pro Ausführung Nach tatsächlicher Nutzung abgerechnet, der Rest wird erstattet Auf dieser Seite ausführen

API-Schlüssel abrufen
Open model Bild zu Video #interpolation

Interpoliert zwischen einem Start- und Endbild und gibt Zwischenbilder als Bilder oder Video zurück

Open model · Video

Dein erstes Ergebnis erscheint hier

Erstelle unten eine Anfrage und führe sie mit deinem API-Schlüssel aus. Ausgaben werden in unseren Speicher kopiert und dauerhaft oder 7 Tage kostenlos aufbewahrt.

Anfrage erstellen

Die Steuerelemente werden aus dem Modellschema generiert. Code und Preis werden aktualisiert, während du sie änderst.

•erforderlich start_image_url
Datei ablegen oder

Das Anfangsbild der Interpolation – das erste des Bildpaars –, bereitgestellt per URL.

•erforderlich end_image_url
Datei ablegen oder

Das Endbild der Interpolation – das zweite des Bildpaars –, bereitgestellt per URL.

Erweitert output_type · output_format · num_frames · fps · include_start · include_end
output_type Standard images

Auswahle zwischen Video und einzelnen Bildern.

output_format Standard jpeg

Bildformat, ausschließlich bei 'images' als output_type.

Standard 1

Anzahl der zwischen den bereitgestellten Bildern generierten Zwischen-Frames.

Standard 8

Video-Framerate, gemessen in Frames pro Sekunde und ausschließlich bei 'video' als output_type verwendet.

POST /run/rife?wait=20 Preis → 4,68 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/rife?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "end_image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage ausführen

Dein Schlüssel bleibt in diesem Browser: Er wird nur an die Doitong API gesendet und nur gespeichert (localStorage), wenn du „Merken“ aktivierst. API-Schlüssel abrufen

Über RIFE

Generiert Zwischen-Frames zwischen `start_image_url` und `end_image_url`. Setze `num_frames` von 1 bis 64, um die Anzahl der zu erstellenden Frames festzulegen, und wähle für `output_type` Bild oder video. Die Videoausgabe hat ein `fps` von 1 bis 60; die Bildausgabe kann png oder jpeg sein. Start- und Endbild können optional in das Ergebnis aufgenommen werden.

Parameter

Sende entweder den kanonischen Namen oder den nativen Namen, nicht beide. Kanonische Namen

NameTyp StandardZulässig Beschreibung
start_image_urlerforderlich image
Typurl · image
Das Anfangsbild der Interpolation – das erste des Bildpaars –, bereitgestellt per URL.
end_image_urlerforderlich end_image
Typurl · image
Das Endbild der Interpolation – das zweite des Bildpaars –, bereitgestellt per URL.
output_typeoptional
Typenum
Standardimages
imagesvideo
Auswahle zwischen Video und einzelnen Bildern.
output_formatoptional
Typenum
Standardjpeg
pngjpeg
Bildformat, ausschließlich bei 'images' als output_type.
num_framesoptional
Typinteger
Standard1
1 – 64
Anzahl der zwischen den bereitgestellten Bildern generierten Zwischen-Frames.
include_startoptional
Typboolean
Standardfalse
Steuert, ob die Ausgabe das Startbild enthält.
include_endoptional
Typboolean
Standardfalse
Steuert, ob die Ausgabe das Endbild enthält.
fpsoptional
Typinteger
Standard8
1 – 60
Video-Framerate, gemessen in Frames pro Sekunde und ausschließlich bei 'video' als output_type verwendet.
erforderlich Kanonischer Name, ebenfalls akzeptiert

Dateiparameter akzeptieren eine öffentliche https://-URL, eine data:-URI bis 10 MB oder die file_url eines Uploads. Dateien

Ausgabe

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "rife",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 4680,
    "usd": "4.68",
    "charged": 4680,
    "refunded": 0
  },
  "input": {
    "start_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "end_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
        "content_type": "video/mp4",
        "file_name": "0-output.mp4",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Deine Dateien, deine EntscheidungJede outputs[].url ist eine Kopie in unserem Speicher: dauerhaft aufbewahrt (Abrechnung pro GB-Monat) oder 7 Tage kostenlos – je nach Kontoeinstellung oder ?storage=.
Gleiche Struktur bei jedem Modelltype, url, content_type, width, height und duration – für Bilder, Video und Audio gleichermaßen. output ist das Ergebnisobjekt des Modells.
Ausgabefelder
images
array of object {url, content_type, file_name, file_size, width, height}Einzelne Bilder mit den generierten Frames.
video
object {url, content_type, file_name, file_size} | nullGenerierte Videodatei, zurückgegeben, wenn output_type auf 'video' gesetzt ist.

Weitere Modelle: Bild zu Video

Für KI-Agenten: Diese Seite ist als Markdown verfügbar unter https://doitong.com/de/developers/models/rife.md. Alle Modelle und Anleitungen: https://doitong.com/developers/llms.txt